commit:     d097d57c2637c1f390718e8eea161f54fd7855db
Author:     Alexis Ballier <aballier <AT> gentoo <DOT> org>
AuthorDate: Thu Mar 22 10:09:52 2018 +0000
Commit:     Alexis Ballier <aballier <AT> gentoo <DOT> org>
CommitDate: Thu Mar 22 10:11:40 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d097d57c

dev-python/sphinxcontrib-doxylink: bump to 1.5; require python3 now

Package-Manager: Portage-2.3.24, Repoman-2.3.6

 dev-python/sphinxcontrib-doxylink/Manifest         |  1 +
 .../sphinxcontrib-doxylink-1.5.ebuild              | 34 ++++++++++++++++++++++
 2 files changed, 35 insertions(+)

diff --git a/dev-python/sphinxcontrib-doxylink/Manifest 
b/dev-python/sphinxcontrib-doxylink/Manifest
index 45b57bb5d2d..e48137d4913 100644
--- a/dev-python/sphinxcontrib-doxylink/Manifest
+++ b/dev-python/sphinxcontrib-doxylink/Manifest
@@ -1 +1,2 @@
 DIST sphinxcontrib-doxylink-1.3.tar.gz 12401 BLAKE2B 
921e05ea89111b2ead396b9352e46806654d494c0e90708d7c47e2b447707ce010131c5032b8bb88e46cc63f9a92c16bdcf51d13434e52427a348fdb084ac99c
 SHA512 
5a53061cddda22b682b4b640725d4cd763b54d9dfa3599b666dd55d72660f07fc89318abeab07d114d01313b215e69e421a3b5251125d28c3dd326426830f9ee
+DIST sphinxcontrib-doxylink-1.5.tar.gz 11391 BLAKE2B 
569eaba41a2cb802d05b0e7da28a00f41399175e2103979eeae35750e2935f66670c20bb0a560980d553a8a751ab57c0e200d0110983eb474eba60b3a2bfcc10
 SHA512 
caac418ed2b11f1b72bc3cb2e5c6bd22a680f9e6debecf6c0028bc1e92fc41e017996be05a7ac7c2dc96c907e59ebfda32bf8b7715c92c33c39404ef356c2a13

diff --git 
a/dev-python/sphinxcontrib-doxylink/sphinxcontrib-doxylink-1.5.ebuild 
b/dev-python/sphinxcontrib-doxylink/sphinxcontrib-doxylink-1.5.ebuild
new file mode 100644
index 00000000000..47d63f31fc0
--- /dev/null
+++ b/dev-python/sphinxcontrib-doxylink/sphinxcontrib-doxylink-1.5.ebuild
@@ -0,0 +1,34 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=5
+PYTHON_COMPAT=( python{3_4,3_5,3_6} )
+
+inherit distutils-r1
+
+DESCRIPTION="Extension to link to external Doxygen API documentation"
+HOMEPAGE="https://pypi.python.org/pypi/sphinxcontrib-doxylink 
https://pythonhosted.org/sphinxcontrib-doxylink/ 
https://bitbucket.org/birkenfeld/sphinx-contrib";
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD-2"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~x86 ~amd64-linux ~x86-linux"
+
+RDEPEND="
+       >=dev-python/sphinx-1.0[${PYTHON_USEDEP}]
+       dev-python/namespace-sphinxcontrib[${PYTHON_USEDEP}]
+       dev-python/pyparsing[${PYTHON_USEDEP}]
+"
+DEPEND="${RDEPEND}
+       dev-python/setuptools[${PYTHON_USEDEP}]"
+
+src_prepare() {
+       # any better idea ?
+       rm -rf tests
+       distutils-r1_src_prepare
+}
+
+python_install_all() {
+       distutils-r1_python_install_all
+       find "${ED}" -name '*.pth' -delete || die
+}

Reply via email to